## org.biojava.bio.symbol
Interface SymbolPropertyTable

All Known Implementing Classes:
  SimpleSymbolPropertyTable

public interface SymbolPropertyTable

class for maintaining properties associated with a symbol

Author:
  Mike Jones

Field Summary
`static java.lang.String` `AVG_MASS`
`static java.lang.String` `MONO_MASS`
`static java.lang.String` `PK`

Method Summary
`Alphabet` `getAlphabet()`
`double` `getDoubleValue(Symbol s)`
`java.lang.String` `getName()`

Field Detail

### AVG_MASS

    public static final java.lang.String AVG_MASS

See Also:
  Constant Field Values

### MONO_MASS

    public static final java.lang.String MONO_MASS

See Also:
  Constant Field Values

### PK

    public static final java.lang.String PK

See Also:
  Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

### getAlphabet

    public Alphabet getAlphabet()

### getDoubleValue

    public double getDoubleValue(Symbol s)
                          throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`